<?php
function mytheme_initialization_options($wp_customize){
		$wp_customize->add_section('mytheme_initialization_options', array(
        'title'    => __('主题整站风格调整', 'mytheme'),
        'description' => '首页、分类、文章、产品等等页面的背景与颜色都可以在此调整
</br> </br>需要帮助？<a target="_blank" href="https://www.themepark.com.cn/wkscwoocommercegjztspjc.html">[观看视频教程]</a>',        'priority' => 70,
    ));
	
	
	
	
	$wp_customize->add_setting('mytheme_header_donghua', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));	
 $wp_customize->add_control('mytheme_header_donghua', array(
        'label'      => __('首页模式选择', 'mytheme_header_donghua'),
           'section'  => 'mytheme_initialization_options',
        'settings'   => 'mytheme_header_donghua',
		 
		'type'    => 'select',
		 'choices'    => array(
            '' => '默认通栏开启动画',
            'closed' => '通栏模式关闭动画',
	        'twotab' => '两栏模式（无动画）',
			
          
        ),
    )); 
	
	
	
	
	$wp_customize->add_setting('mytheme_donghua_height', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_donghua_height', array(
         'label'      => __('动画触发高度', 'mytheme_donghua_height'),
           'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_donghua_height',
       'description' => '模块距离顶部触发动画的高度，默认640，越早触发数值改为越大，越晚触发数值改为越小',
      ));

	
	
	
	
	
	
	
	
	
	
	
	$wp_customize->add_setting('mytheme_header_donghua2', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));	
 $wp_customize->add_control('mytheme_header_donghua2', array(
        'label'      => __('两栏模式排版全局调整', 'mytheme_header_donghua2'),
           'section'  => 'mytheme_initialization_options',
        'settings'   => 'mytheme_header_donghua2',
		 'description' => '主区域比较宽，从区域比较窄,首页部分只有选择了上面的选项的两栏模式这个选项才会有效。',
		'type'    => 'select',
		 'choices'    => array(
            '' => '默认左主右从',
            'closed' => '右主左从(对调)',
	        
			
          
        ),
    )); 
	


$wp_customize->add_setting('mytheme_move_zdbtn', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_move_zdbtn', array(
         'label'      => __('移动端侧栏展开按钮文字', 'mytheme_move_zdbtn'),
           'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_move_zdbtn',
       'description' => '两栏模式下，在手机端侧栏会被隐藏，而出现一个展开的按钮，用户点击按钮展开可查看侧栏内容，此按钮文字可在此修改。',
      ));

	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 $wp_customize->add_setting('mytheme_index_bac', array(
	    'default'        =>   '#f5f5f5',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_index_bac', array(
        'label'    => __('【首页】背景颜色', 'mytheme_index_bac'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_index_bac',
    )));	
	
	
	$wp_customize->add_setting('mytheme_index_bac_img', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_index_bac_img', array(
        'label'    => __('【首页】pc背景图片', 'mytheme_index_bac_img'),
         'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_index_bac_img',
		'description' => '如果上传了背景图片，那么背景颜色将会被覆盖掉，如果不设置其他如分类目录等等区域的背景，那么整站将会继承上面两个设置',
     )
    )); 



 $wp_customize->add_setting('mytheme_index_title', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_index_title', array(
        'label'    => __('主色调配色', 'mytheme_index_title'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_index_title',
		'description' => '主色调配色主要为较大的区域配色，比如标题颜色、大块的背景颜色等',
    )));	
	
	
	 $wp_customize->add_setting('mytheme_index_title2', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_index_title2', array(
        'label'    => __('副色调配色', 'mytheme_index_title2'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_index_title2',
		'description' => '副色调配色主要是一些小的区域配色，比如查看详细按钮、时间阅读量等的配色',
    )));	
	
	
//----------------------------index------------------------------------------------		

	
	
	$wp_customize->add_setting('mytheme_screening_color', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_screening_color', array(
        'label'    => __('【全站】筛选按钮（包括文章筛选和产品筛选）', 'mytheme_screening_color'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_screening_color',
    )));
	
	
	
	
	
	
	
	
	
	
	$wp_customize->add_setting('mytheme_page_muen_nav', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_page_muen_nav', array(
        'label'    => __('【全站】面包屑背景颜色', 'mytheme_page_muen_nav'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_page_muen_nav',
    )));
	
	
		$wp_customize->add_setting('mytheme_page_muen_nav2', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_page_muen_nav2', array(
        'label'    => __('【全站】面包屑文字颜色', 'mytheme_page_muen_nav2'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_page_muen_nav2',
    )));
	
	
	
//----------------------------all------------------------------------------------	






 $wp_customize->add_setting('mytheme_product_bac3', array(

        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_product_bac3', array(
        'label'    => __('【文章分类列表】背景颜色', 'mytheme_index_bac3'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_product_bac3',
    )));	
	
	

	
	
	
	
 $wp_customize->add_setting('mytheme_product_bac4', array(

        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_product_bac4', array(
        'label'    => __('【文内详细】背景颜色', 'mytheme_index_bac4'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_product_bac4',
    )));	
	
	
	
	
	

//---------------------------product&cat&single------------------------------------------------	

	
};
add_action('customize_register', 'mytheme_initialization_options');
?>