<?php
/**
 * 主题文章系统相关函数
 * 主题文章系统的先关函数：小工具、特色图片，分类目录设置、分类父级获取
 * 函数清单：
 *  自定义添加小工具位置获取id函数
 *  清除函数
 *  注册菜单位置
 *  略缩图获取以及默认图片
 *  get略缩图函数
 *  分类目录的设置输出和保存
 *  关键词设置和输出
 *  描述设置和输出
 *  去除wordpress头部输出的一些样式和脚本
 *  滑块锚点
 *  获取父级分类
 *  分页函数
 *  获取略缩图url
 *  增强编辑器开始
 *  获取附件图片链接
 *  阅读量统计   
 * @author url 	    http://www.themepark.com.cn
 * @author 		themepark
 * @package 	theme/functions
 * @version     1.o
 */



include_once("seo_box.php");

include_once("tags.php");
//include_once("seo_cat_woo.php");


	 
//分类目录的设置输出和保存
function add_category_seo_format(){  
	wp_enqueue_media();
	wp_enqueue_script( 'menu-image-admin', get_template_directory_uri() ."/js/images.js" );
   echo '
   	<style>
	.cat_modle3{width:100%; height:auto;overflow: hidden;}
.imggas_s{float:left;display: block;width:200px; height: 120px; overflow: hidden;text-align: center; border:1px solid #e3e3e3; padding: 5px; margin: 0 5px 0 0; }
	.imggas_s span{color: #666; padding: 5px 0; width: 100%;}
	.imggas_s a.left_right_upload_button{ display: block;width: 100%; height: auto;}
	.imggas_s img{max-width: 200px; max-height: 80px; }
</style>
      <h3显示文章数量</h3>
   <div class="form-field">  
            <label for="cat_nummber">这个分类显示多少数量？</label>  
            <input name="cat_nummber" id="cat_nummber" type="text" value="" size="10">  
            <p>若填写了这个数量，那么就会按照这个数量显示文章数量，若不填写则显示后台--设置--阅读中设置的文章显示数量</p>  
          </div>     
   
   
   <h3>侧边栏选择[付费版解锁]</h3>
   <div class="form-field">  
            <select disabled="disabled">
	        
			 <option value="">默认的侧边栏目</option>
		
			 </select>
          </div>   
		  
		   <div class="navm">  
             <input type="checkbox" value="show" readonly="readonly"   />
			 <label for="navm">显示文章多重筛选[付费版解锁]</label>
			 <p>这个多重筛选是针对普通文章的，请和woocommerce的产品筛选区分开</p>
          </div>   
		  
		 
     <h3>模式选择</h3>
	 
	 
	  <div class="navm">  
             
			 <label for="navm">不继承默认设置[付费版解锁]</label>
			   <input type="checkbox" value="no" readonly="readonly"  />
			
             
       <p>在主题选项--默认列表和筛选可以设置默认的分类样式，如果你不希望让这个分类继承那个设置，可以勾选此处，将不会使用主题选项中的设置</p>
          </div>   
		  
	 
   <div class="cat_modle">  
            <select disabled="disabled">
	        
			 <option value="">两栏默认</option>
			 <option value="tong">通栏</option>
			
			
			 </select>
          </div>   
		  
		  
		    <div class="cat_modle">  <label  for="c_hdp_h">两栏模式排版[付费版解锁]</label>
                
              <select disabled="disabled">
			 <option  value="">默认左主右从</option>
			 <option  value="closed">右主左从(对调)</option>
			 </select>
              </div>   
		  
            
		  
		  
		  
	 <h3>显示选项[付费版解锁]</h3>
   <div class="cat_modle2">  
            <select disabled="disabled">
	        
			<option  value="">默认图文结构（左图右文）[付费版解锁]</option>
            
			 <option   value="shop_thumbnail">图片并排模式</option>
			 <option  value="no">纯文字结构</option>
			  <option   value="time">带有日期的文字结构</option>
			 </select>
          <p>列表中的略缩图尺寸统一设置为：媒体库--中等尺寸，可自行设置</p>
		  </div> 
	 <h3>显示列数[付费版解锁]</h3>
   <div class="cat_modle3">  
            <select disabled="disabled">
	        
			 <option value="">一行显示4个产品（默认）</option>
			  <option value="3">一行显示3个</option>
			 <option value="5">一行显示5个</option>
			 <option value="6">一行显示6个</option>
		
			 </select>
      
		  </div> 	
		  
		  
		   <h3>顶部图片（pc）</h3>
		  
		   <div class="cat_modle3"> 
           
           <label for="hdp"></label>
            
		   <label class="imggas_s" ><span >pc顶部图片(1920px宽度)</span> <br> <a class="remove_pic">移除图片</a>
         <input style="display: none;" name="hdp" id="hdp" value="">
		<a class="left_right_upload_button">
         <img src="'.get_bloginfo('template_url').'/images/upload.png"/>
        </a>
        
       </label> 
			 <p>设置一个顶部的图片显示在电脑端（尺寸1920px宽度，高度不限）</p>
           
       </div>
        
          
          <h3>顶部图片（移动）[付费版解锁]</h3>
                  
	<div class="cat_modle3"> 
           
           <label for="hdp2"></label> 
           
				<label class="imggas_s" ><span>移动端顶部图片(768px宽度)</span> <br> 
        
		<a class="left_right_upload_buttons">
          <img src="'.get_bloginfo('template_url').'/images/upload.png"/>
        </a>
        
       </label> 
			 <p>设置一个顶部的图片显示在移动端（尺寸680px宽度，高度不限）</p>
           
           </div> 
          
		  
		  
		  
		  
		  
		  
 
	<h3>分类目录SEO选项</h3>
	<div class="form-field">  
            <label for="cat_title">标题替换</label>  
            <input name="cat_title" id="cat_title" type="text" value="" size="40">  
            <p>填写这个选项，将会替换默认调用的标题</p>  
          </div>     
         <div class="form-field">  
            <label for="cat_keword">关键词</label>  
            <input name="cat_keword" id="cat_keword" type="text" value="" size="40">  
            <p>使用英文输入法的逗号分隔，一般不超过80个字符</p>  
          </div>
		   <div class="form-field">  
            <label for="cat_description">描述</label>   
			<textarea id="cat_description" cols="40" rows="5" name="cat_description"></textarea>
            <p>一般不超过200个字符</p>  
          </div>
		  
	
		  
		  ';            
            
}  
add_action('category_add_form_fields','add_category_seo_format',10,2);  
  
  
function edit_category_seo_format($tag){ 
	
		wp_enqueue_media();
	wp_enqueue_script( 'menu-image-admin', get_template_directory_uri() ."/js/images.js" );
    ?>
	<style>
.imggas_s{float:left;display: block;width:200px; height: 120px; overflow: hidden;text-align: center; border:1px solid #e3e3e3; padding: 5px; margin: 0 5px 0 0; }
	.imggas_s span{color: #666; padding: 5px 0; width: 100%;}
	.imggas_s a.left_right_upload_button{ display: block;width: 100%; height: auto;}
	.imggas_s img{max-width: 200px; max-height: 80px; }
</style>
	<h3>显示文章数量</h3>
   <div class="form-field">  
            
           
           
          </div>   
          
          	<tr class="form-field">  
          <th scope="row"><label for="cat_nummber">这个分类显示多少数量？</label>  </th>  
            <td> 
		 <input name="cat_nummber" id="cat_nummber" type="text" value="<?php echo get_option('cat_nummber_'.$tag->term_id) ?>" size="10">  <br />

			
   <p>若填写了这个数量，那么就会按照这个数量显示文章数量，若不填写则显示后台--设置--阅读中设置的文章显示数量</p>  
            </td>  
        </tr>   
	
          
           
	<tr class="form-field">  
          <th scope="row"><label for="images">侧边栏选择[付费版解锁]</label></th>  
            <td> 
		 <select disabled="disabled">
	        <option value="">默认的侧边栏目</option>
			
			 
			 </select>
			
  
            </td>  
        </tr>   
	
	
	
		<tr class="form-field">  
          <th scope="row"><label for="navm">文章多重筛选[付费版解锁]</label></th>  
            <td> 
		  
             <input type="checkbox" readonly  value="show" name="navm" id="navm"  />
			 显示文章多重筛选
             
       <p>这个多重筛选是针对普通文章的，请和woocommerce的产品筛选区分开</p>
			
  
            </td>  
        </tr>   
	
    
    
		<tr class="form-field">  
          <th scope="row"><label for="cat_mr_jic">不继承默认设置[付费版解锁]</label></th>  
            <td> 
		  
             <input type="checkbox" value="no" name="cat_mr_jic" id="cat_mr_jic" readonly  />
			
             
       <p>在主题选项--默认列表和筛选可以设置默认的分类样式，如果你不希望让这个分类继承那个设置，可以勾选此处，将不会使用主题选项中的设置</p>
			
  
            </td>  
        </tr>   
    
    
		<tr class="form-field">  
          <th scope="row"><label for="images">模式选择[付费版解锁]</label></th>  
            <td> 
		   <select disabled="disabled">
	        
			 <option   value="">两栏默认</option>
			 <option  value="tong">通栏</option>
			
			
			 </select>
			 <br />
  
            </td>  
        </tr>   
	<tr>
               <th scope="row"><label  for="c_hdp_h">两栏模式排版[付费版解锁]</label>
                </th>
                <td>
              <select disabled="disabled">
			 <option   value="">默认左主右从</option>
			 <option   value="closed">右主左从(对调)</option>
			 </select>
                </td>
            </tr>
            
            
		<tr class="form-field">  
          <th scope="row"><label for="images">显示结构选项[付费版解锁]</label></th>  
            <td> 
		   <select disabled="disabled">
	
			<option  value="">默认图文结构（左图右文）</option>
            
			 <option   value="shop_thumbnail">图片并排模式</option>
			 <option  value="no">纯文字结构</option>
			  <option value="time">带有日期的文字结构</option>
			
			 </select>
			 <br />
                <p>列表中的略缩图尺寸统一设置为：媒体库--中等尺寸，可自行设置</p>
            <p>选择图片模式后，若有文章中填写了视频代码，那么则会弹出播放视频，若没有视频，则显示图片排版模式（图上文下，下面的选项可以选择一排显示多少篇文章）</p>
            </td>  
        </tr>   
	
	<tr class="form-field">  
          <th scope="row"><label for="images">显示列数[付费版解锁]</label></th>  
            <td> 
		   <select disabled="disabled">
	       
			
			 <option value="">一行显示4个产品（默认）</option>
			 <option value="3">一行显示3个</option>
			 <option   value="5">一行显示5个</option>
			 <option   value="6">一行显示6个</option>
			 </select>
			
  
            </td>  
        </tr>   
	
	
	<tr class="form-field">  
            <th scope="row"><label for="cat_title">标题替换</label></th>  
            <td>  
                <input name="cat_title" id="cat_title" type="text" value="<?php echo get_option('cat_title_'.$tag->term_id) ;?>" size="40"/><br>  
              
            </td>  
        </tr>    
    <tr class="form-field">  
            <th scope="row"><label for="cat_keword">关键词</label></th>  
            <td>  
                <input name="cat_keword" id="cat_keword" type="text" value="<?php echo get_option('cat_keword_'.$tag->term_id);?>" size="40"/><br>  
               
            </td>  
        </tr>
		  <tr class="form-field">  
            <th scope="row"><label for="cat_description">描述</label></th>  
            <td>  
                
                 
              <textarea id="cat_description" cols="40" rows="5" name="cat_description"><?php echo get_option('cat_description_'.$tag->term_id);?></textarea>
            </td>  
        </tr>
		        
        <tr >  
          <th scope="row">
           
           
           <label for="hdp">顶部图片（pc）</label></th>  
            <td> 
		   <label class="imggas_s" ><span >pc顶部图片(1920px宽度)</span> <br> <a class="remove_pic">移除图片</a>
         <input style="display: none;" name="hdp" id="hdp" value="<?php echo get_option('hdp_'.$tag->term_id); ?>">
		<a class="left_right_upload_button">
         <img src="<?php if(get_option('hdp_'.$tag->term_id)){echo get_option('hdp_'.$tag->term_id);}else{echo get_bloginfo('template_url').'/images/upload.png'; } ?>"/>
        </a>
        
       </label> 
			 <p>设置一个顶部的图片显示在电脑端（尺寸1920px宽度，高度不限）</p>
           
           
            </td>  
           
        </tr>   
        
          
         
                  
	<tr >  
          <th scope="row">
           
           
           <label for="hdp2">顶部图片（移动）[付费版解锁]</label></th>  
            <td> 
				<label class="imggas_s" ><span>移动端顶部图片(768px宽度)</span> <br> 
    
		<a class="left_right_upload_buttons">
         <img src="<?php echo get_bloginfo('template_url').'/images/upload.png';  ?>"/>
        </a>
        
       </label> 
			 <p>设置一个顶部的图片显示在移动端（尺寸680px宽度，高度不限）</p>
           
           
            </td>  
		
	<?php   
          
}  
add_action('category_edit_form_fields','edit_category_seo_format',10,2);  
  
  
function taxonomy_metadate_seo_format($term_id){  
    if(isset($_POST['cat_title']) || isset($_POST['cat_keword'])|| isset($_POST['cat_description'])||isset($_POST['cat_title_p']) || isset($_POST['cat_keword_p'])|| isset($_POST['cat_description_p'])|| isset($_POST['navm'])){  
      
        if(!current_user_can('manage_categories')){  
            return $term_id;  
        }
			$hdp ='hdp_'.$term_id;
		$hdp_value =$_POST['hdp']; 
		
		$hdp2 ='hdp2_'.$term_id;
		$hdp2_value =$_POST['hdp2']; 
		
		$hdp_h ='hdp_h_'.$term_id;
		$hdp_h_value =$_POST['hdp_h']; 
		
		$hdp_h2 ='hdp_h2_'.$term_id;
		$hdp_h2_value =$_POST['hdp_h2']; 
		
		$c_hdp_h ='c_hdp_h_'.$term_id;
		$c_hdp_h_value =$_POST['c_hdp_h']; 
		
		$nav_menu ='navm_'.$term_id;
		$nav_menu_value =$_POST['navm']; 
		
		$cat_mr_jic ='cat_mr_jic_'.$term_id;
		$cat_mr_jic_value =$_POST['cat_mr_jic']; 
		
		$cat_nummber ='cat_nummber_'.$term_id;
		$cat_nummber_value =$_POST['cat_nummber']; 
		
		$catce ='catce_'.$term_id;
		$catce_value =$_POST['catce']; 
		$cat_modle ='cat_modle_'.$term_id;
		$cat_modle_value =$_POST['cat_modle']; 
		
		$cat_modle2 ='cat_modle2_'.$term_id;
		$cat_modle2_value =$_POST['cat_modle2']; 
		
		$cat_modle3 ='cat_modle3_'.$term_id;
		$cat_modle3_value =$_POST['cat_modle3']; 
		
		$cat_modle4 ='cat_modle4_'.$term_id;
		$cat_modle4_value =$_POST['cat_modle4']; 
	
        $cat_title = 'cat_title_'.$term_id; 
        $title_value = $_POST['cat_title'];
        $cat_keword = 'cat_keword_'.$term_id;  
        $keword_value = $_POST['cat_keword'];   
        $cat_description = 'cat_description_'.$term_id;  
        $description_value = $_POST['cat_description']; 
		 update_option( $c_hdp_h, $c_hdp_h_value );     
			 update_option( $hdp, $hdp_value );     
		update_option( $hdp2, $hdp2_value ); 
		update_option( $hdp_h, $hdp_h_value ); 
		update_option( $hdp_h2, $hdp_h2_value ); 
		 
		 update_option( $cat_mr_jic, $cat_mr_jic_value );     
		 update_option( $cat_nummber, $cat_nummber_value );     
        update_option( $nav_menu, $nav_menu_value );  
	   update_option( $cat_modle, $cat_modle_value );  
	    update_option( $cat_modle2, $cat_modle2_value );  
		 update_option( $cat_modle3, $cat_modle3_value );  
		  update_option( $cat_modle4, $cat_modle4_value );  
	   update_option( $catce, $catce_value );  
	
        update_option( $cat_title, $title_value );   
        update_option( $cat_keword, $keword_value );  
		 update_option( $cat_description, $description_value );  
	
    }  
}  
  
add_action('created_category','taxonomy_metadate_seo_format',10,1);  
add_action('edited_category','taxonomy_metadate_seo_format',10,1);  
//关键词设置和输出

function theme_keyworeds(){
	global $wp_query;
	if(class_exists('Woocommerce')&&is_shop()){$id=wc_get_page_id("shop");}else{
	$id =get_the_ID(); 
	}
  
            $cat_obj = $wp_query->get_queried_object();
			 $term_id = $cat_obj->term_id;
   $cat_keword=get_option('cat_keword_'.$term_id);
   $cat_keword_p=get_option('cat_keword_p_'.$term_id);
    if(is_front_page() || is_home()) { 
	
		  $theme_keword= get_option('mytheme_keywords');
		
		 }
		 
	  elseif( is_page()||is_single()||class_exists('Woocommerce')&&is_shop()) {
			
			 if(get_post_meta($id, "关键字",true)){  $theme_keword= get_post_meta($id, "关键字",true);}elseif($theme_kewordss){$theme_keword=$theme_kewordss;}else{  $theme_keword= get_option('mytheme_keywords');}
				 
	} 	
	elseif(is_category()||is_tag()){
		
			 if($cat_keword){  $theme_keword= $cat_keword;}else{  $theme_keword= get_option('mytheme_keywords');}
				 	
	} else{$theme_keword= get_option('mytheme_keywords');} 
	echo $theme_keword;
	}
//描述设置和输出	
function theme_description(){
   global $wp_query;
    if(class_exists('Woocommerce')&&is_shop()){$id=wc_get_page_id("shop");}else{
	$id =get_the_ID(); 
	}
  
   $cat_obj = $wp_query->get_queried_object();
			 $term_id = $cat_obj->term_id;
   $cat_description=get_option('cat_description_'.$term_id);
   $cat_description_p=get_option('cat_description_p_'.$term_id);
      if(is_front_page() || is_home()) { 
$theme_description= get_option('mytheme_description');}
		
		 
		 
	  elseif( is_page()||is_single()||class_exists('Woocommerce')&&is_shop()) {
		  
		 $excerps=mb_strimwidth(strip_tags(apply_filters('the_excerp', get_post($id)->post_content)),0,200,"。",'utf-8');
	
	  $excerpk=DeleteHtml($excerps) ;
	  $excerp= preg_replace('/\[.*?\]/', '', $excerpk);
	
			
			 if(get_post_meta($id, "描述",true)){  $theme_description= get_post_meta($id, "描述",true);}elseif($excerp){$theme_description=$excerp;}else{  $theme_description= get_option('mytheme_description');}
				 
	} 	
	elseif(is_category()||is_tag()){
	
			 if($cat_description){  $theme_description= $cat_description;}else{  $theme_description= get_option('mytheme_description');}
				 	
	} else{$theme_description= get_option('mytheme_description');} 
	echo $theme_description;
}	



function theme_titles(){
	$language_th2=get_themepark_option('language_th2','搜索结果');
	$language_th3=get_themepark_option('language_th3','很遗憾，没有找到您的信息');
	
	 $singletitle_p =get_post_meta($post->ID, "title_p",true);
			 $singletitle =get_post_meta($post->ID, "title",true);
			 global $wp_query,$s;
             $cat_obj = $wp_query->get_queried_object_id();
			 $term_id = $cat_obj;
			 $term_info= get_term($term_id);
             $cat_title=get_option('cat_title_'.$term_id);
             $cat_title_p=get_option('cat_title_p_'.$term_id);
		     
		     if (is_category()||is_tag()) {
				
		        if( $cat_title){
					echo  $cat_title.'-'.filters_title("");
				
				}else{echo $term_info->name. '-'.filters_title("");}; echo get_bloginfo('name');
					 
				 }elseif(class_exists('Woocommerce')&&is_shop()){
				 
	
	echo get_the_title(wc_get_page_id("shop")).'-'.filters_title("").get_bloginfo('name');}
		      elseif (is_search()) {
		         echo $language_th2.'-'.wp_specialchars($s).'-',get_bloginfo('name'); }
	            elseif (is_404()) {
		         echo $language_th3.'-',get_bloginfo('name'); }
		      elseif (is_single() || is_page()) {
		      
		        if( $singletitle){echo  $singletitle;}else{ wp_title(''); echo '-'.get_bloginfo('name');; }
					 
			    }  elseif ( class_exists('Woocommerce')&&is_shop()) {
				  if( $singletitle){echo  $singletitle;}else{ wp_title(''); echo '-'.get_bloginfo('name');; }
				  
			  }
	
		     
		      if (is_home()) {
				  
				
						 
		        if(get_option('mytheme_title')){echo get_option('mytheme_title');}else{  bloginfo('name'); echo '-'; bloginfo('description'); }
					 
		        }else{}
		      if ($paged>1) {
		         echo '-'. $paged; }
	if(is_author()){
		  wp_safe_redirect(get_bloginfo('url'));
	}
}


?>