<?php
function mytheme_header_options($wp_customize){
		$wp_customize->add_section('mytheme_header_options', array(
        'title'    => __('网站顶部设置', 'mytheme'),
        'description' => '通过这个选项设置网站顶部的样式和内容
		</br> </br>需要帮助？<a target="_blank" href="https://www.themepark.com.cn/wkscwoocommercegjztspjc.html">[观看视频教程]</a>',
        'priority' => 60,
    ));

	class Ari_Customize_Textarea_Control extends WP_Customize_Control {
  public $type = 'textarea';
  public function render_content() {

 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
    <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value()); ?></textarea>
  </label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}



class Ari_Customize_select_nav_Control extends WP_Customize_Control {
  public $type = 'select_nav';
  public function render_content() {

 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   
    
    <select style="width:100%;" <?php $this->link(); ?>>
			<option value="0">请选择一个菜单</option>
			<option value="improt">导入数据</option>
		<?php
		$big_pic_nav= $this->value();
		$menus = wp_get_nav_menus( array( 'orderby' => 'name' ) );
			foreach ( $menus as $menu ) {
				echo '<option value="' . $menu->term_id . '"'
					. selected( $big_pic_nav, $menu->term_id, false )
					. '>'. esc_html( $menu->name ) . '</option>';
			}
		?>
			</select> 
    
    
    
  </label>
  <p><?php 
  if(!$big_pic_nav){$big_pic_nav=0;};
  $url='href="'.admin_url().'/nav-menus.php?action=edit&menu='.$big_pic_nav.'"';
  echo esc_html( $this->description); echo'<br><a  target="_blank"  '.$url.' class="button" >进入菜单进行编辑或者创建</a>';?></p>
<?php 
  }
}

	
class Ari_Customize_select_cat extends WP_Customize_Control {
  public $type = 'select_cat';
  public function render_content() {
$cat_ids=esc_textarea( $this->value()); 
 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   

             <select <?php $this->link(); ?> >
              <option value=''<?php if ($cat_ids == "" ) {echo "selected='selected'";}?> >请选择</option>
             <?php 
			
		$cats = get_terms( array(
    'taxonomy' => 'category',
    'hide_empty' => false,
));
		foreach( $cats AS $catr ) { 
		 $cat_id=$catr->term_id;
		  $cat_name=get_term($cat_id)->name;
		?>
       
			<option 
				value='<?php echo  $cat_id; ?>'
				<?php
					if ( $cat_ids == $cat_id ) {
						echo "selected='selected'";
					}
				?>><?php echo $cat_name; ?></option>
		<?php } 
				 
				 	$cats2 = get_terms( array(
    'taxonomy' => 'product_cat',
    'hide_empty' => false,
));
		foreach( $cats2 AS $catr ) { 
		 $cat_id=$catr->term_id;
		  $cat_name=get_term($cat_id)->name;
		?>
       
			<option 
				value='<?php echo  $cat_id; ?>'
				<?php
					if ( $cat_ids == $cat_id ) {
						echo "selected='selected'";
					}
				?>><?php echo $cat_name; ?></option>
		<?php } ?>
				 
			
		
		
		
   
	</select></label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}
		
	
	
	
class Ari_Customize_select_pages extends WP_Customize_Control {
  public $type = 'select_pages';
  public function render_content() {
$page_ids=esc_textarea( $this->value()); 
 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   

             <select <?php $this->link(); ?> >
              <option value=''<?php if ($page_ids == "" ) {echo "selected='selected'";}?> >请选择</option>
             <?php 
			
		$pages = get_pages();
		foreach( $pages AS $page ) { 
		 $page_id=$page->ID;
		  $page_name=$page->post_title;
		?>
       
			<option 
				value='<?php echo  $page_id; ?>'
				<?php
					if ( $page_ids == $page_id ) {
						echo "selected='selected'";
					}
				?>><?php echo $page_name; ?></option>
		<?php } ?>
   
	</select></label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}



class Ari_Customize_fengexian_Control extends WP_Customize_Control {
  public $type = 'fengexian';
  public function render_content() {

 ?>
 <div style="width:100%; background:#333; margin:15px 0; height:1px;"></div>
  
<?php 
  }
}


$wp_customize->add_setting('mytheme_top_tels1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_top_tels1', array(
         'label'      => __('最顶部右侧文字', 'mytheme_top_tels1'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_tels1',
       'description' => '可填写欢迎词或者电话号码，支持html图标输入',
      ));
	
	
 $wp_customize->add_setting('mytheme_top_languge_nav', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_nav_Control($wp_customize, 'mytheme_top_languge_nav', array(
        'label'    => __('最顶部右侧菜单', 'mytheme_top_languge_nav'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_languge_nav',
		'description' => '在登录注册之后',
     )
    )); 


	$wp_customize->add_setting('mytheme_top_bac', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_top_bac', array(
        'label'    => __('最顶部背景颜色（pc）', 'mytheme_top_bac'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_bac',
	
    )));
	
	
		$wp_customize->add_setting('mytheme_top_bac2', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_top_bac2', array(
        'label'    => __('最顶部文字颜色（pc）', 'mytheme_top_bac2'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_bac2',
	
    )));
	
	
	


  $wp_customize->add_setting('mytheme_logo', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo', array(
        'label'    => __('电脑版本logo上传[尺寸高度：400*133]', 'mytheme_logo'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo',
     )
    )); 
	
	
 $wp_customize->add_setting('mytheme_logo2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo2', array(
        'label'    => __('手机版本logo上传[尺寸高度：400*133]]', 'mytheme_logo2'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo2',
     )
    )); 	
//----------------------------logo------------------------------------------------	
	$wp_customize->add_setting('mytheme_top_languge_nav2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_nav_Control($wp_customize, 'mytheme_top_languge_nav2', array(
        'label'    => __('logo下拉菜单', 'mytheme_top_languge_nav2'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_languge_nav2',
		'description' => '选择一个单层菜单，会在鼠标触发logo时触发下拉',
     )
    )); 
	
	
	$wp_customize->add_setting('mytheme_header_matop', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));	
 $wp_customize->add_control('mytheme_header_matop', array(
        'label'      => __('logo区域下拉图标和文字配色', 'mytheme_header_matop'),
          'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_header_matop',
		 'description' => '如果你设置了logo和搜索区域的背景颜色较深，那么你可以选择白色的配色图标',
		'type'    => 'select',
		 'choices'    => array(
            '' => '默认深灰色',
            'closed' => '白色',
	        
			
          
        ),
    )); 
	
	
	
	
	
	
	
	
 
	
	
	
	

		
	$wp_customize->add_setting('mytheme_header_top_bac_c2', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_top_bac_c2', array(
        'label'    => __('logo和搜索区域背景颜色（pc）', 'mytheme_header_top_bac_c2'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_top_bac_c2',
	
    )));
	
	
	
	$wp_customize->add_setting('mytheme_search_color', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_search_color', array(
        'label'    => __('搜索框配色', 'mytheme_search_color'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_color',
	
    )));
	
	
	
	
	$wp_customize->add_setting('mytheme_ad_img', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_ad_img', array(
        'label'    => __('搜索右侧广告图片', 'mytheme_ad_img'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_ad_img',
		'description' => '你可以设置广告图片代替下面的图标，尺寸350*66，设置后下面的图标1和图标2就不会显示了',
     )
    )); 
	
	$wp_customize->add_setting('mytheme_ad_imgu', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_ad_imgu', array(
         'label'      => __('广告图片链接', 'mytheme_ad_imgu'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_ad_imgu',
         
      ));
	
	
 
	  
	$wp_customize->add_setting('mytheme_header_icon_i1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_icon_i1', array(
         'label'      => __('右侧图标1', 'mytheme_header_icon_i1'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_i1',
         'description' => '填写图标代码，如fas fa-phone',
      ));
	
	$wp_customize->add_setting('mytheme_header_icon_x1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_icon_x1', array(
         'label'      => __('图标1文字上', 'mytheme_header_icon_x1'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_x1',
         'description' => '如：热线电话',
      ));
	
	
	$wp_customize->add_setting('mytheme_header_icon_t1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_icon_t1', array(
         'label'      => __('图标1文字下', 'mytheme_header_icon_t1'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_t1',
         'description' => '如：热线电话',
      ));
	
	
	$wp_customize->add_setting('mytheme_header_icon_u1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_icon_u1', array(
         'label'      => __('图标1链接', 'mytheme_header_icon_u1'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_u1',
         'description' => '不填写则无',
      ));
	
	
	$wp_customize->add_setting('mytheme_header_icon_c1', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_icon_c1', array(
        'label'    => __('图标1颜色', 'mytheme_header_icon_c1'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_c1',
	
    )));	
	
	
	
	
	
	
	
	$wp_customize->add_setting('mytheme_header_icon_i2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_icon_i2', array(
         'label'      => __('右侧图标2', 'mytheme_header_icon_i2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_i2',
         'description' => '填写图标代码，如fas fa-map-marker-alt',
      ));
	
	$wp_customize->add_setting('mytheme_header_icon_x2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_icon_x2', array(
         'label'      => __('图标2文字上', 'mytheme_header_icon_x2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_x2',
         'description' => '如： 联系地址',
      ));
	
	
	$wp_customize->add_setting('mytheme_header_icon_t2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
	
	
	
 
    $wp_customize->add_control( 'mytheme_header_icon_t2', array(
         'label'      => __('图标1文字下', 'mytheme_header_icon_t2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_t2',
         'description' => '如：点击前往地图',
      ));
	
	
	$wp_customize->add_setting('mytheme_header_icon_u2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_icon_u2', array(
         'label'      => __('图标2链接', 'mytheme_header_icon_u2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_u2',
         'description' => '不填写则无',
      ));
	
	
	
	$wp_customize->add_setting('mytheme_header_icon_c2', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_icon_c2', array(
        'label'    => __('图标1颜色', 'mytheme_header_icon_c2'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_icon_c2',
	
    )));
	
	
	
	
	
//----------------------------header------------------------------------------------		

	
	
   
//----------------------------pc header------------------------------------------------	
	 


//----------------------------pc nav------------------------------------------------
	
	
	
	$wp_customize->add_setting('mytheme_header_nav_zhuangtai', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));	
 $wp_customize->add_control('mytheme_header_nav_zhuangtai', array(
        'label'      => __('折叠菜单显示模式', 'mytheme_header_nav_zhuangtai'),
          'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_header_nav_zhuangtai',
		 'description' => '选择折叠菜单的模式',
		'type'    => 'select',
		 'choices'    => array(
            '' => '全站默认缩起点击展开',
	        'xl_qzk' => '在全站展开（全站点不可缩起）',
	        'xl_szk' => '只在首页默认展开（首页不可缩起）',
	        'xl_none' => '不显示按钮',
        ),
    )); 
	
	
	
	$wp_customize->add_setting('mytheme_nav_btn_text', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_nav_btn_text', array(
         'label'      => __('折叠菜单展开按钮', 'mytheme_nav_btn_text'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_btn_text',
         'description' => '默认为“显示全部分类”',
      ));
	
	
	$wp_customize->add_setting('mytheme_nav_btn_textc', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_nav_btn_textc', array(
        'label'    => __('折叠菜单展开按钮颜色', 'mytheme_nav_btn_textc'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_btn_textc',
	
    )));	
	
	
	$wp_customize->add_setting('mytheme_nav_btn_height', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_nav_btn_height', array(
         'label'      => __('折叠菜单固定高度', 'mytheme_nav_btn_height'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_btn_height',
         'description' => '如果你需要默认展开模式固定高度可以和你的首页幻灯片以及内页图片高度一致,单位px，填写如:500px',
      ));
	
	
	
	$wp_customize->add_setting('mytheme_nav_btn_textc2', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_nav_btn_textc2', array(
        'label'    => __('折叠菜单背景颜色', 'mytheme_nav_btn_textc2'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_btn_textc2',
	
    )));
	
	
		$wp_customize->add_setting('mytheme_nav_btn_op', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_nav_btn_op', array(
         'label'      => __('折叠菜单背景色透明度', 'mytheme_nav_btn_op'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_btn_op',
         'description' => '默认90%透明度，如果需要调整填写数字，如70%透明度填写0.7',
      ));
	
	
	
	
		$wp_customize->add_setting('mytheme_nav_btn_textc3', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_nav_btn_textc3', array(
        'label'    => __('折叠菜单文字颜色', 'mytheme_nav_btn_textc3'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_nav_btn_textc3',
	
    )));
	
	


	$wp_customize->add_setting('mytheme_header_nav_qyc', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_nav_qyc', array(
        'label'    => __('导航区域背景颜色', 'mytheme_header_nav_qyc'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_nav_qyc',
	
    )));		
	
	
	
$wp_customize->add_setting('mytheme_header_title', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_title', array(
        'label'    => __('导航标题颜色', 'mytheme_header_title'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_title',
	
    )));	
	

	
	
$wp_customize->add_setting('mytheme_header_title_hover', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_title_hover', array(
        'label'    => __('导航鼠标经过颜色', 'mytheme_header_title_hover'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_title_hover',
	
    )));	
	
	
$wp_customize->add_setting('mytheme_header_li_hover', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_li_hover', array(
        'label'    => __('导航鼠标经过背景颜色', 'mytheme_header_li_hover'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_li_hover',
	
    )));	
		

$wp_customize->add_setting('mytheme_top_tels', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_top_tels', array(
         'label'      => __('导航右侧按钮', 'mytheme_top_tels'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_tels',
       
      ));
	
	
 

	$wp_customize->add_setting('mytheme_top_tels2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_top_tels2', array(
         'label'      => __('导航右侧按钮url', 'mytheme_top_tels2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_tels2',
       
      ));
	
	
	$wp_customize->add_setting('mytheme_header_li_hover2', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_li_hover2', array(
        'label'    => __('导航右侧按钮颜色', 'mytheme_header_li_hover2'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_li_hover2',
	
    )));	
		

$wp_customize->add_setting('mytheme_header_li_hover3', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_li_hover3', array(
        'label'    => __('导航右侧按钮文字颜色', 'mytheme_header_li_hover3'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_li_hover3',
	
    )));
	
	
	

	
	
			
	
	
	

	$wp_customize->add_setting('mytheme_search_text', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_search_text', array(
         'label'      => __('搜索提示语', 'mytheme_search_text'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_text',
         'description' => '如：请搜索',
      ));
	
	
	 $wp_customize->add_setting('mytheme_search_cat1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat1', array(
        'label'    => __('搜索分类1', 'mytheme_search_cat1'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat1',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则是搜索全站】',
     )
    )); 

	
	
		 $wp_customize->add_setting('mytheme_search_cat2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat2', array(
        'label'    => __('搜索分类2', 'mytheme_search_cat2'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat2',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则不显示】',
     )
    )); 

	
		 $wp_customize->add_setting('mytheme_search_cat3', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat3', array(
        'label'    => __('搜索分类3', 'mytheme_search_cat3'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat3',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则不显示】',
     )
    )); 

	
	
	
		 $wp_customize->add_setting('mytheme_search_cat4', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat4', array(
        'label'    => __('搜索分类4', 'mytheme_search_cat4'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat4',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则不显示】',
     )
    )); 

	
		 $wp_customize->add_setting('mytheme_search_cat5', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat5', array(
        'label'    => __('搜索分类5', 'mytheme_search_cat5'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat5',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则不显示】',
     )
    )); 
	
	
$wp_customize->add_setting('mytheme_keywords_nav', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_nav_Control($wp_customize, 'mytheme_keywords_nav', array(
        'label'    => __('搜索辅助菜单', 'mytheme_keywords_nav'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_keywords_nav',
		'description' => '你可以设置一个菜单在搜索栏之下，放入关键词、分类、或者直达的热门产品',
     )
    )); 



	 
	
 //----------------------------pc text------------------------------------------------	  
};
add_action('customize_register', 'mytheme_header_options');
?>